// PhysicsSystem.h
#pragma once

extern "C" {
    #include "box2d.h"
}

class PhysicsSystem {
public:
    void Initialize();
    void Shutdown();
    void Step(float deltaTime);

    b2WorldId GetWorld() const { return world; }

private:
    b2WorldId world = b2_nullWorldId;
};
